Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.taglib.html.ext
Class HtmlDataTableTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlDataTableTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlDataTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlDataTableTag
extends HtmlDataTableTagBase

Version:
  $Revision: 265750 $ $Date: 2005-09-01 12:12:03 -0400 (Thu, 01 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mbr $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlDataTableTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` | `setForceIdIndexFormula(java.lang.String forceIdIndexFormula)`
`void` | `setPreserveDataModel(java.lang.String preserveDataModel)`
`void` | `setPreserveSort(java.lang.String preserveSort)`
`void` | `setPreviousRowDataVar(java.lang.String previousRowDataVar)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRenderedIfEmpty(java.lang.String renderedIfEmpty)`
`void` | `setRowCountVar(java.lang.String rowCountVar)`
`void` | `setRowId(java.lang.String rowId)`
`void` | `setRowIndexVar(java.lang.String rowIndexVar)`
`void` | `setRowOnClick(java.lang.String rowOnClick)`
`void` | `setRowOnDblClick(java.lang.String rowOnDblClick)`
`void` | `setRowOnKeyDown(java.lang.String rowOnKeyDown)`
`void` | `setRowOnKeyPress(java.lang.String rowOnKeyPress)`
`void` | `setRowOnKeyUp(java.lang.String rowOnKeyUp)`
`void` | `setRowOnMouseDown(java.lang.String rowOnMouseDown)`
`void` | `setRowOnMouseMove(java.lang.String rowOnMouseMove)`
`void` | `setRowOnMouseOut(java.lang.String rowOnMouseOut)`
`void` | `setRowOnMouseOver(java.lang.String rowOnMouseOver)`
`void` | `setRowOnMouseUp(java.lang.String rowOnMouseUp)`
`void` | `setRowStyle(java.lang.String rowStyle)`
`void` | `setRowStyleClass(java.lang.String rowStyleClass)`
`void` | `setSortAscending(java.lang.String sortAscending)`
`void` | `setSortColumn(java.lang.String sortColumn)`
`void` | `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlDataTableTagBase
`setAlign, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setColumns, setDatafld, setDataformatas, setDatasrc, setFirst, setFooterClass, setFrame, setHeaderClass, setRowClasses, setRows, setRules, setSummary, setVar, setWidth`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlDataTableTag

    public HtmlDataTableTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlDataTableTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlDataTableTagBase`

### setPreserveDataModel

    public void setPreserveDataModel(java.lang.String preserveDataModel)

### setForceIdIndexFormula

    public void setForceIdIndexFormula(java.lang.String forceIdIndexFormula)

### setSortColumn

    public void setSortColumn(java.lang.String sortColumn)

### setSortAscending

    public void setSortAscending(java.lang.String sortAscending)

### setPreserveSort

    public void setPreserveSort(java.lang.String preserveSort)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setRenderedIfEmpty

    public void setRenderedIfEmpty(java.lang.String renderedIfEmpty)

### setRowIndexVar

    public void setRowIndexVar(java.lang.String rowIndexVar)

### setRowCountVar

    public void setRowCountVar(java.lang.String rowCountVar)

### setPreviousRowDataVar

    public void setPreviousRowDataVar(java.lang.String previousRowDataVar)

### setRowOnMouseOver

    public void setRowOnMouseOver(java.lang.String rowOnMouseOver)

### setRowOnMouseOut

    public void setRowOnMouseOut(java.lang.String rowOnMouseOut)

### setRowOnClick

    public void setRowOnClick(java.lang.String rowOnClick)

### setRowOnDblClick

    public void setRowOnDblClick(java.lang.String rowOnDblClick)

### setRowOnKeyDown

    public void setRowOnKeyDown(java.lang.String rowOnKeyDown)

### setRowOnKeyPress

    public void setRowOnKeyPress(java.lang.String rowOnKeyPress)

### setRowOnKeyUp

    public void setRowOnKeyUp(java.lang.String rowOnKeyUp)

### setRowOnMouseDown

    public void setRowOnMouseDown(java.lang.String rowOnMouseDown)

### setRowOnMouseMove

    public void setRowOnMouseMove(java.lang.String rowOnMouseMove)

### setRowOnMouseUp

    public void setRowOnMouseUp(java.lang.String rowOnMouseUp)

### setRowId

    public void setRowId(java.lang.String rowId)

### setRowStyleClass

    public void setRowStyleClass(java.lang.String rowStyleClass)

### setRowStyle

    public void setRowStyle(java.lang.String rowStyle)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD